%define upstream_name Complete-Path
%define upstream_version 0.24

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Complete path
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Complete/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Complete::Common) >= 0.220.0
BuildRequires: perl(Complete::Util) >= 0.570.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Complete path.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.240.0-2.mga8
+ Revision: 1520674
- Mageia 8 Mass Rebuild

* Tue Dec 04 2018 shlomif <shlomif> 0.240.0-1.mga7
+ Revision: 1338308
- update to 0.24

* Wed Sep 19 2018 umeabot <umeabot> 0.190.0-4.mga7
+ Revision: 1266579
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.190.0-3.mga6
+ Revision: 1024274
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.190.0-2.mga6
+ Revision: 969989
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.190.0-1.mga6
+ Revision: 884468
- update to 0.19

* Sun Sep 06 2015 sander85 <sander85> 0.130.0-1.mga6
+ Revision: 873424
- update to 0.13

* Mon Jul 13 2015 sander85 <sander85> 0.120.0-1.mga6
+ Revision: 853682
- imported package perl-Complete-Path

